# -*- makefile -*-
#-------------------------------------------------------------------------
#       GNU ACE Workspace
#
# GNUACEWorkspaceCreator.pm,v 1.33 2004/09/29 14:41:58 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -include /tmp/rerelease/ACE_wrappers/MPC/config -include /tmp/rerelease/ACE_wrappers/MPC/templates -exclude ASNMP/asnmp.mwc,TAO/TAOACE.mwc,TAO/CIAO/CIAOTAO.mwc -recurse -hierarchy -relative ACE_ROOT=/tmp/rerelease/ACE_wrappers
#
#-------------------------------------------------------------------------
MAKEFILE = GNUmakefile

ifeq ($(findstring k,$(MAKEFLAGS)),k)
  KEEP_GOING = -
endif

include $(ACE_ROOT)/include/makeinclude/macros.GNU

all: SPIPE_SAP_Client SPIPE_SAP_Consumer_Msg SPIPE_SAP_Consumer_Read SPIPE_SAP_NPClient SPIPE_SAP_NPServer SPIPE_SAP_Producer_Msg SPIPE_SAP_Producer_Read SPIPE_SAP_Server

.PHONY: SPIPE_SAP_Client
SPIPE_SAP_Client:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Client

.PHONY: SPIPE_SAP_Consumer_Msg
SPIPE_SAP_Consumer_Msg:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Consumer_Msg

.PHONY: SPIPE_SAP_Consumer_Read
SPIPE_SAP_Consumer_Read:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Consumer_Read

.PHONY: SPIPE_SAP_NPClient
SPIPE_SAP_NPClient:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_NPClient

.PHONY: SPIPE_SAP_NPServer
SPIPE_SAP_NPServer:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_NPServer

.PHONY: SPIPE_SAP_Producer_Msg
SPIPE_SAP_Producer_Msg:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Producer_Msg

.PHONY: SPIPE_SAP_Producer_Read
SPIPE_SAP_Producer_Read:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Producer_Read

.PHONY: SPIPE_SAP_Server
SPIPE_SAP_Server:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Server

REMAINING_TARGETS := $(subst all, , $(TARGETS_NESTED:.nested=)) $(CUSTOM_TARGETS)
$(REMAINING_TARGETS):
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Client $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Consumer_Msg $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Consumer_Read $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_NPClient $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_NPServer $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Producer_Msg $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Producer_Read $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.SPIPE_SAP_Server $(@)

